// http://akelpad.sourceforge.net/forum/viewtopic.php?p=1212#1212
// Description(1049): Выполняет команду с помощью cmd (аналог WshShell.Run), с выводом результата выполнения в консоли Log-плагина
// Version: 2.9 (2015.04.10)
// Author: VladSh
// 
// Arguments:
// 	cmd - имя команды; если указано, то меню выводиться не будет, а выполнится указанная команда;
// 	остальные аргументы см. скрипт ShowMenuEx.js
// 
// Usage:
// 	-"ipconfig" Call("Scripts::Main", 1, "ConsoleRun.js", `-cmd="ipconfig"`)
// 	-"Выбрать команду для выполнения..." Call("Scripts::Main", 1, "ConsoleRun.js", `-pExt="txt"`)

var pCommand = AkelPad.GetArgValue("cmd", "");
if (!pCommand) {
	if (!AkelPad.Include("ShowMenuEx.js")) WScript.Quit();
	pCommand = getSelectedMenuItem(POS_CURSOR, false);
	if (!pCommand) WScript.Quit();
}

AkelPad.Call("Log::Output", 1, pCommand, "", "", "", -1, -1);